package com.yihu.jw.entity.hospital.prescription;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 眼科检查申请单
 *
 * */
//@ApiModel(value = "HlwCf01VO", description = "眼科处方表1数据")
@Entity
@Table(name = "V_EMR_JCSQ")
public class YkEmrJcsqDO {
    private Integer sqdh;//类似主键递增
    private Integer brid;//病人id
    private Integer jzlx;//1默认
    private String jzhm;//门诊号码  病人档案的门诊号码，短信推送该号码给患者，brda查询门诊号码  病人档案的门诊号码，短信推送该号码给患者，brda查询
    private String brxm;//病人姓名
    private Integer brks;//挂号科室
    private Integer brxb;//1男2女
    private Integer brnl;//病人年龄
    private Integer jbbh;//默认0
    private Date kdsj;//取挂号日期
    private String kdys;//开单医生
    private Integer jclx;//默认1
    private Integer jjbz;//默认0
    private Integer jczt;//0新增、1提交、3已执行  我们只管理提交，新增保存在本地
    private Integer zfbz;//0正常  1作废  删除就等于作废
    private Date tjsj;//取挂号日期
    private String tjys;//同上面的kdys
    @Basic
    @Column(name = "BRID")
    public Integer getBrid() {
        return brid;
    }

    public void setBrid(Integer brid) {
        this.brid = brid;
    }

    private Integer zxks;//执行科室VEMR_ORDER_ITEM zxks
    private String jcxm;//项目名称
    private Integer qxbz;//0
    private Integer yjxh;//关联ms_yj01里面的yjxh
    private BigDecimal xmdj;//项目单价
    private String xmdw;//项目单位
    private Integer xmid;//项目id  VEMR_ORDER_ITEM_MX
    private Integer sqsl;//数量
    private Integer jzxh;//就诊序号HLWYS_MZ_JZLS的JZXH对应
    private Integer jsbz;
    private Integer kdks;//开单科室

    @Column(name = "KDKS")
    public Integer getKdks() {
        return kdks;
    }

    public void setKdks(Integer kdks) {
        this.kdks = kdks;
    }

    @Column(name = "JSBZ")
    public Integer getJsbz() {
        return jsbz;
    }

    public void setJsbz(Integer jsbz) {
        this.jsbz = jsbz;
    }

    @Basic
    @Id
    @Column(name = "SQDH")
    public Integer getSqdh() {
        return sqdh;
    }

    public void setSqdh(Integer sqdh) {
        this.sqdh = sqdh;
    }

    @Basic
    @Column(name = "JZLX")
    public Integer getJzlx() {
        return jzlx;
    }

    public void setJzlx(Integer jzlx) {
        this.jzlx = jzlx;
    }
    @Basic
    @Column(name = "JZHM")
    public String getJzhm() {
        return jzhm;
    }

    public void setJzhm(String jzhm) {
        this.jzhm = jzhm;
    }
    @Basic
    @Column(name = "BRXM")
    public String getBrxm() {
        return brxm;
    }

    public void setBrxm(String brxm) {
        this.brxm = brxm;
    }
    @Basic
    @Column(name = "BRKS")
    public Integer getBrks() {
        return brks;
    }

    public void setBrks(Integer brks) {
        this.brks = brks;
    }
    @Basic
    @Column(name = "BRXB")
    public Integer getBrxb() {
        return brxb;
    }

    public void setBrxb(Integer brxb) {
        this.brxb = brxb;
    }
    @Basic
    @Column(name = "BRNL")
    public Integer getBrnl() {
        return brnl;
    }

    public void setBrnl(Integer brnl) {
        this.brnl = brnl;
    }
    @Basic
    @Column(name = "JBBH")
    public Integer getJbbh() {
        return jbbh;
    }

    public void setJbbh(Integer jbbh) {
        this.jbbh = jbbh;
    }
    @Basic
    @Column(name = "KDSJ")
    @JsonFormat(pattern = "dd-mm-yy", timezone = "GMT+08:00")
    public Date getKdsj() {
        return kdsj;
    }

    public void setKdsj(Date kdsj) {
        this.kdsj = kdsj;
    }
    @Basic
    @Column(name = "KDYS")
    public String getKdys() {
        return kdys;
    }

    public void setKdys(String kdys) {
        this.kdys = kdys;
    }
    @Basic
    @Column(name = "JCLX")
    public Integer getJclx() {
        return jclx;
    }

    public void setJclx(Integer jclx) {
        this.jclx = jclx;
    }
    @Basic
    @Column(name = "JJBZ")
    public Integer getJjbz() {
        return jjbz;
    }

    public void setJjbz(Integer jjbz) {
        this.jjbz = jjbz;
    }
    @Basic
    @Column(name = "JCZT")
    public Integer getJczt() {
        return jczt;
    }

    public void setJczt(Integer jczt) {
        this.jczt = jczt;
    }
    @Basic
    @Column(name = "ZFBZ")
    public Integer getZfbz() {
        return zfbz;
    }

    public void setZfbz(Integer zfbz) {
        this.zfbz = zfbz;
    }
    @Basic
    @Column(name = "TJSJ")
    @JsonFormat(pattern = "dd-mm-yy", timezone = "GMT+08:00")
    public Date getTjsj() {
        return tjsj;
    }

    public void setTjsj(Date tjsj) {
        this.tjsj = tjsj;
    }
    @Basic
    @Column(name = "TJYS")
    public String getTjys() {
        return tjys;
    }

    public void setTjys(String tjys) {
        this.tjys = tjys;
    }
    @Basic
    @Column(name = "ZXKS")
    public Integer getZxks() {
        return zxks;
    }

    public void setZxks(Integer zxks) {
        this.zxks = zxks;
    }
    @Basic
    @Column(name = "JCXM")
    public String getJcxm() {
        return jcxm;
    }

    public void setJcxm(String jcxm) {
        this.jcxm = jcxm;
    }
    @Basic
    @Column(name = "QXBZ")
    public Integer getQxbz() {
        return qxbz;
    }

    public void setQxbz(Integer qxbz) {
        this.qxbz = qxbz;
    }
    @Basic
    @Column(name = "YJXH")
    public Integer getYjxh() {
        return yjxh;
    }

    public void setYjxh(Integer yjxh) {
        this.yjxh = yjxh;
    }
    @Basic
    @Column(name = "XMDJ")
    public BigDecimal getXmdj() {
        return xmdj;
    }

    public void setXmdj(BigDecimal xmdj) {
        this.xmdj = xmdj;
    }
    @Basic
    @Column(name = "XMDW")
    public String getXmdw() {
        return xmdw;
    }

    public void setXmdw(String xmdw) {
        this.xmdw = xmdw;
    }
    @Basic
    @Column(name = "XMID")
    public Integer getXmid() {
        return xmid;
    }

    public void setXmid(Integer xmid) {
        this.xmid = xmid;
    }
    @Basic
    @Column(name = "SQSL")
    public Integer getSqsl() {
        return sqsl;
    }

    public void setSqsl(Integer sqsl) {
        this.sqsl = sqsl;
    }
    @Basic
    @Column(name = "JZXH")
    public Integer getJzxh() {
        return jzxh;
    }

    public void setJzxh(Integer jzxh) {
        this.jzxh = jzxh;
    }

}
